Page MenuHomePhabricator

MobileFrontend user experience on Wiktionary is rough
Closed, ResolvedPublic

Description

Screenshot of https://en.m.wiktionary.org/wiki/wildcard on an iPhone, 2014-02-16

The MobileFrontend + Wiktionary user experience is pretty rough. Screenshot of https://en.m.wiktionary.org/wiki/wildcard on an iPhone attached. The page almost looks broken. There's only a single language for this entry yet it's collapsed. Owww.

Given that MobileFrontend is the default for mobile devices, I think this is fairly high priority.


Version: unspecified
Severity: normal

Attached:

Details

Reference
bz61447

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 2:59 AM
bzimport set Reference to bz61447.
bzimport added a subscriber: Unknown Object (MLST).
Jorm added a comment.Feb 16 2014, 10:52 PM

On the surface, this could be an argument for special-casing certain wikis to not collapse sections by default, *or* to apply some intelligence (perhaps on all wikis):

If there is is only 1 section, uncollapse;

If there are 3 or fewer sections, collapse 2 and 3 but uncollapse 1;

If there are 4+ sections, retain current behavior.

Wiktionary uses sections differently from everything else, it seems, and doesn't use the lead section as expected. :)

Could probably make section autocollapsing into a site config variable and switch it off for Wiktionary, but I should warn that what Wiktionary really needs is a structured data backend and an appropriate query & display interface that's custom-done for a multilingual dictionary.

Change 113758 had a related patch set uploaded by Brion VIBBER:
Add $wgMFCollapseSectionsByDefault config var to allow disabling auto section collapse

https://gerrit.wikimedia.org/r/113758

mcdevitd wrote:

Right, you'll still have problems with user experience if all you do is just uncollapse section 1.

Generally, the most important information, which a user expects to see unhidden by default, is the list of definitions. The top-level section will be a language header (like ==English==), but you'd still want to keep the less important subheaders within that section, like Etymology and Translations collapsed, or else it will drown out the more important info. I don't know if there is currently any programmatic way to identify which header corresponds to the part of speech (where the definitions are); here is the list of accepted ones in en.wikt: https://en.wiktionary.org/wiki/Wiktionary:POS#The_part_of_speech_header_in_English. There needs to be some configurability for other Wiktionaries, too.

(In reply to Brion Vibber from comment #2)

Wiktionary uses sections differently from everything else, it seems, and
doesn't use the lead section as expected. :)
Could probably make section autocollapsing into a site config variable and
switch it off for Wiktionary, but I should warn that what Wiktionary really
needs is a structured data backend and an appropriate query & display
interface that's custom-done for a multilingual dictionary.

Change 113758 merged by jenkins-bot:
Add $wgMFCollapseSectionsByDefault config var to allow disabling auto section collapse

https://gerrit.wikimedia.org/r/113758

The summary is a bit too generic but things aren't especially better now. Usually I end up using the "desktop" Wiktionary, which is easier to browse. I'm not sure I uploaded all my findings, right now I see T110011 and

Nemo_bis reopened this task as Open.Sep 5 2017, 8:30 AM

Reopening per above.

Jorm removed a subscriber: Jorm.Sep 5 2017, 3:17 PM
ovasileva triaged this task as Medium priority.Sep 22 2017, 12:56 PM
ovasileva added a subscriber: Nirzar.
Jdlrobson closed this task as Resolved.Sep 22 2017, 2:46 PM
Jdlrobson claimed this task.

The problem in the description was very specific and related to section collapsing on mobile.

When I open https://en.m.wiktionary.org/wiki/wildcard on my phone sections are open by default which is how this bug was fixed.
https://phabricator.wikimedia.org/T63447#2295509 is buried in comments and not doesn't exactly outline how you think things can be improved.

I've opened T176491 which is an epic for improving the experience on mobile for you to record your thoughts and help people understand the problems as you perceive them so we can start thinking of ways to fix this. It's confusing to do so on this card.

kaldari removed a subscriber: kaldari.Sep 25 2017, 10:27 PM